### Function

# Gio AsyncInitable newv_async

deprecated: 2.54 since: 2.22

#### Declaration

    void
    g_async_initable_newv_async (
      GType object_type,
      guint n_parameters,
      GParameter* parameters,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Helper function for constructing `GAsyncInitable` object. This is similar to `g_object_newv()` but also initializes the object asynchronously.

When the initialization is finished, `callback` will be called. You can then call `g_async_initable_new_finish()` to get the new object and check for any errors.

Available since: 2.22

Deprecated since: 2.54

Use `g_object_new_with_properties()` and `g_async_initable_init_async()` instead. See `GParameter` for more information.

#### Parameters

`object_type`

  Type: `GType`

  A `GType` supporting `GAsyncInitable`.

`n_parameters`

  Type: `guint`

  The number of parameters in `parameters`.

`parameters`

  Type: `GParameter`

  The parameters to use to construct the object.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the operation.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the initialization is finished.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.